Bug 1271256 - (CVE-2014-8179) CVE-2014-8179 docker: Manifest validation and parsing logic errors allow pull-by-digest validation bypass
CVE-2014-8179 docker: Manifest validation and parsing logic errors allow pull...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151013,reported=2...
: Security
Depends On: 1271259 1271260 1271261
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 09:43 EDT by Trevor Jay
Modified: 2016-10-16 23:08 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 10:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Jay 2015-10-13 09:43:10 EDT
During Docker pulls validation and extraction of the manifest object from its JSON representation are done in separate steps. The digest that represents the manifest corresponds to a hash of the payload portion of the JSON blob returned by the remote registry. Even though the validity of the payload portion is being verified, an injection of new attributes in the surrounding JSON object is possible. This allows an override of the verified content at JSON deserialization time leading to pulling unverified layers.
Comment 2 Trevor Jay 2015-10-13 09:50:18 EDT
Created docker-io tracking bugs for this issue:

Affects: fedora-all [bug 1271261]
Comment 3 Trevor Jay 2015-10-13 10:01:28 EDT
This issue is exploitable by malicious Docker images. Red Hat supports images from it's own registry, ISV images certified by the Red Hat certification program, and images using qualified customer content.

Marking this vulnerability and its children as "WONTFIX".
Comment 4 Daniel Walsh 2015-10-13 10:09:17 EDT
We will get the fix from docker when we release docker-1.9.
Comment 5 Vincent Danen 2015-10-15 13:18:51 EDT
Statement:

This issue is exploitable by malicious Docker images. Red Hat supports images from it's own registry, ISV images certified by the Red Hat certification program, and images using qualified customer content.
Comment 6 Trevor Jay 2016-10-16 23:08:27 EDT
Fixed in 1.8.3 and greater.

Note You need to log in before you can comment on or make changes to this bug.